curl --request POST \
--url https://biohub.ai/api/v1/fold_all_atom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"potential_sequence_of_concern": false,
"sequence": "<string>",
"msa": {
"sequences": [
"<string>"
],
"deletions": [
[
123
]
]
},
"num_loops": 20,
"num_sampling_steps": 100,
"lm_dropout": 0.3,
"lm_mask_pct": 0,
"msa_max_depth": 1024,
"msa_column_mask_rate": 0.1,
"include_distogram": false,
"include_pae": false,
"include_pair_chains_iptm": false,
"all_atom_input": {
"sequences": [
{
"sequence": "<string>",
"type": "protein",
"id": "<string>",
"msa": {
"sequences": [
"<string>"
],
"deletions": [
[
123
]
]
},
"modifications": [
{
"position": 123,
"ccd": "<string>"
}
]
}
],
"covalent_bonds": [
{
"chain_id1": "<string>",
"res_idx1": 123,
"atom_idx1": 123,
"chain_id2": "<string>",
"res_idx2": 123,
"atom_idx2": 123
}
],
"pocket": {
"binder_chain_id": "<string>",
"contacts": [
[
"<string>",
123
]
]
},
"distogram_conditioning": [
{
"chain_id": "<string>"
}
]
},
"include_embeddings": false
}
'import requests
url = "https://biohub.ai/api/v1/fold_all_atom"
payload = {
"potential_sequence_of_concern": False,
"sequence": "<string>",
"msa": {
"sequences": ["<string>"],
"deletions": [[123]]
},
"num_loops": 20,
"num_sampling_steps": 100,
"lm_dropout": 0.3,
"lm_mask_pct": 0,
"msa_max_depth": 1024,
"msa_column_mask_rate": 0.1,
"include_distogram": False,
"include_pae": False,
"include_pair_chains_iptm": False,
"all_atom_input": {
"sequences": [
{
"sequence": "<string>",
"type": "protein",
"id": "<string>",
"msa": {
"sequences": ["<string>"],
"deletions": [[123]]
},
"modifications": [
{
"position": 123,
"ccd": "<string>"
}
]
}
],
"covalent_bonds": [
{
"chain_id1": "<string>",
"res_idx1": 123,
"atom_idx1": 123,
"chain_id2": "<string>",
"res_idx2": 123,
"atom_idx2": 123
}
],
"pocket": {
"binder_chain_id": "<string>",
"contacts": [["<string>", 123]]
},
"distogram_conditioning": [{ "chain_id": "<string>" }]
},
"include_embeddings": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
potential_sequence_of_concern: false,
sequence: '<string>',
msa: {sequences: ['<string>'], deletions: [[123]]},
num_loops: 20,
num_sampling_steps: 100,
lm_dropout: 0.3,
lm_mask_pct: 0,
msa_max_depth: 1024,
msa_column_mask_rate: 0.1,
include_distogram: false,
include_pae: false,
include_pair_chains_iptm: false,
all_atom_input: {
sequences: [
{
sequence: '<string>',
type: 'protein',
id: '<string>',
msa: {sequences: ['<string>'], deletions: [[123]]},
modifications: [{position: 123, ccd: '<string>'}]
}
],
covalent_bonds: [
{
chain_id1: '<string>',
res_idx1: 123,
atom_idx1: 123,
chain_id2: '<string>',
res_idx2: 123,
atom_idx2: 123
}
],
pocket: {binder_chain_id: '<string>', contacts: [['<string>', 123]]},
distogram_conditioning: [{chain_id: '<string>'}]
},
include_embeddings: false
})
};
fetch('https://biohub.ai/api/v1/fold_all_atom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "esm3-open-2024-03",
"created": "<string>",
"potential_sequence_of_concern": false,
"warning_messages": [
"<string>"
],
"coordinates": [
[
[
123
]
]
],
"complex": {},
"plddt": [
123
],
"ptm": 123,
"interface_ptm": 123,
"pae": [
[
123
]
],
"pair_chains_iptm": [
[
123
]
],
"output_embedding_sequence": [
[
123
]
],
"output_embedding_pair_pooled": [
[
123
]
],
"residue_index": [
123
],
"entity_id": [
123
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}fold_all_atom
(ESMFold2) Folds molecular complexes containing proteins, dna, rna, and ligands. Defaults to esmfold2-fast-2026-05 if no model is given
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
You may have access to additional, private models as well. These will be visible on the Rate Limits page under the Developer Console
esmfold2-fast-2026-05, esmfold2-2026-05, null Disclose potential sequences of concern. For approved users, such sequences will not go through additional safety filtering. Reach out if you are interested in using this.
Input sequence to be folded.
MSA data for the query sequence.
Show child attributes
Show child attributes
Number of trunk loops for iterative refinement.
0 <= x <= 20Diffusion ODE solver steps. Lower for speed, higher for quality.
1 <= x <= 100Dropout probability on LM pair embeddings. When > 0, dropout is applied.
0 <= x <= 1Fraction of sequence residues randomly masked before the PLM backbone. If not provided, defaults to 0.1 for ESMFOLD2_FAST and 0.0 for ESMFOLD2
0 <= x <= 1Number of MSA rows randomly subsampled each loop. Set to null to disable (sets msa_subsample_at_inference to False).
1 <= x <= 16384Fraction of MSA columns randomly masked in non-query rows for inference-time diversity.
0 <= x <= 1Whether to include distogram predictions in the response.
Whether to include Predicted Aligned Error (PAE) matrix in the response.
Whether to include pair-chain IPTM predictions in the response.
All atom input (protein, RNA, DNA, and ligand) to fold. If provided, performs all-atom folding and ignores the sequence and msa inputs.
Show child attributes
Show child attributes
Whether to include sequence and pair embeddings in the response.
Response
Successful Response
You may have access to additional, private models as well. These will be visible on the Rate Limits page under the Developer Console
esm3-open-2024-03, esmfold2-fast-2026-05, esmfold2-2026-05 ISO formatted date time
Indicate that the returned sequence may be of potential concerns.
Warning messages returned by FastAPI.
Coordinates of the N, CA, C atom sequence as a Nx37x3 array.
Molecular complex with support for proteins, nucleic acids, and ligands.
Per position plddt predictions for a protein or molecular complex. Usually produced by structure decoder.
Predicted TM score of a protein or molecular complex. Usually produced by structure decoder.
Interface TM score of a protein or molecular complex.
Predicted Aligned Error matrix for the protein or molecular complex. Shape is L x L. Values are rounded to 2 decimals (well within 0.5 A bin width)
Pair-chain IPTM predictions for a protein. Shape is C x C, where C is the number of chains in the protein.
Output embedding sequence from the model. Only present if requested.
Output embedding pair mean-pooled from the model. Only present if requested.
Residue indexes from the model. Only present if embeddings are requested.
Entity ids (e.g. chain ids) from the model. Only present if embeddings are requested.